server {
    listen 80;
    server_name consent.poqob.uk;

    root /usr/share/nginx/html;
    index index.html index.htm;
    
    # Enable directory listing
    autoindex on;

    location / {
        try_files $uri $uri/ =404;
    }
    
    # Custom error pages
    error_page 500 502 503 504 /50x.html;
    location = /50x.html {
        root /usr/share/nginx/html;
    }
}